%define kdeprefix /usr
%define version 1.1.1pre2
%define kderelease 1
%define sourcedir stable/1.1/distribution/tar/generic/source

%define qtver  qt >= 1.42

%define kdename  korganizer
Name: %{kdename}
Summary: KOrganizer - Calendar and Scheduling Program for KDE
Version: %{version}
Release: %{kderelease}
Serial: 1
#Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.gz
Source: %{kdename}-%{version}.tar.gz
License: GPL
Group: Applications/Productivity
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
KOrganizer is a complete calendar and scheduling program for KDE.  It
allows interchange with other calendar applications through the industry
standard vCalendar file format.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n korganizer-%{version}

%build
export KDEDIR=%{kdeprefix}
make -f Makefile.cvs
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" KDEDIR=%{kdeprefix}

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' \
        -e '/\/applnk\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.1 snapshot

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated to today's snapshot, called it '3pgb'.

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- updates for our own release

* Sun Dec 20 1998 Duncan Haldane <f.d.m.haldane@cwix.com>
- adapted for the KDE-1.1 release

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- updated file specification to pick up config files as such.








